/** 
 *******************************************************************************
 * @file    gpio.c
 * @brief   the application functions of TRMOSC demo for the TOSHIBA
 *          'TMPM3U0' Device Series 
 * @version 0.0.0.1
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "stdint.h"
#include "tmpm3u0_gpio.h"

/**
  * @brief  initialize gpio
  * @param  None
  * @retval None
  */
void InitGpio(void)
{
	GPIO_EnableFuncReg(GPIO_PF, GPIO_FUNC_REG_1, GPIO_BIT_0);		/* TB7IN function */
	GPIO_SetInputEnableReg(GPIO_PF, GPIO_BIT_0, ENABLE);
}
