/**
 *******************************************************************************
 * @file    tmpm3u0_uart_int.h
 * @brief   interrupt request functions definition of UART_FIFO_Demo 
 * @version V0.101
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM3U0_UART_INT_H
#define __TMPM3U0_UART_INT_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM3U0.h"
#include "tmpm3u0_uart.h"


void INTTX0_IRQHandler(void);
void INTRX1_IRQHandler(void);

void INTRX0_IRQHandler(void);
void INTTX1_IRQHandler(void);
#endif                          /* __TMPM3U0_UART_INT_H */
