/**
 *******************************************************************************
 * @file    tmpm3u0_wdt_int.h
 * @brief   All interrupt request functions prototypes of WDT
 *          for the TOSHIBA 'TMPM3U0' Device Series
 * @version V0.101
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM3U0_WDT_INT_H
#define __TMPM3U0_WDT_INT_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM3U0.h"
#include "tmpm3u0_wdt.h"
#include "tmpm3u0_cg.h"
/* #include "led.h" */


#define FLG_WDT    ((uint8_t)0x00000001)
#define FLG_NMI    ((uint8_t)0x00000002)

void NMI_Handler(void);

#endif                          /* __TMPM3U0_WDT_INT_H */
