/**
 *******************************************************************************
 * @file    tmpm3u0_dnf_int.h
 * @brief   all interrupt request functions prototypes of DNF
 *          for the TOSHIBA 'TMPM3U0' Device Series
 * @version V0.100
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMPM3U0_DNF_INT_H
#define __TMPM3U0_DNF_INT_H

/* Includes ------------------------------------------------------------------*/
#include "main.h"
/* External function prototypes ----------------------------------------------*/
void INT7_IRQHandler(void);

#endif                          /* __TMPM3U0_DNF_INT_H */
/*********************************** END OF FILE ******************************/
