/** 
 *******************************************************************************
 * @file    tmrb.h
 * @brief   the application functions of TRMOSC demo for the TOSHIBA
 *          'TMPM3U0' Device Series 
 * @version 0.0.0.1
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __TMRB_H
#define __TMRB_H

/* Includes ------------------------------------------------------------------*/

/* Private define ------------------------------------------------------------*/

/* Private function prototypes -----------------------------------------------*/

/* External function prototypes ----------------------------------------------*/
void InitTMRB7(void);
void StartCapture(void);
uint32_t GetCaptureData(void);
void StopCapture(void);

#endif /* __TMRB_H */
